Upload Files as Dispute Evidence

Finix API Reference Copy - Copy for LLM Copy page as Markdown for LLMs - View as Markdown\ \ Open this page as Markdown - Open in ChatGPT\ \ Get insights from ChatGPT - Open in Claude\ \ Get insights from Claude - Connect to Cursor Install MCP server on Cursor - Connect to VS Code Install MCP server on VS Code

The Finix API is resource oriented, relying heavily on common REST principles. Our API uses JSON encoded requests and responses.

You will receive separate Sandbox and Live accounts, as well as corresponding API credentials to access the Finix API.


link to section/Authentication Authentication

To communicate with the Finix API, you must authenticate your requests via HTTP Basic Authentication with a username:password combination, which you can get from your Finix Dashboard. If you do not have a Dashboard yet, you can test our APIs with the Sandbox credentials below.

Parameter Value
Sandbox Username USsRhsHYZGBPnQw8CByJyEQW
Sandbox Password 8a14c2f9-d94b-4c72-8f5c-a62908e5b30e

Request Format

curl "https://finix.sandbox-payments-api.com/" \
    -H "Content-Type: application/json" \
    -H "Finix-Version: 2022-02-01" \
    -u USsRhsHYZGBPnQw8CByJyEQW:8a14c2f9-d94b-4c72-8f5c-a62908e5b30e

link to section/Environments Environments

Finix provides two environments with distinct base URLs to make API requests.

  1. A Sandbox environment for developing and testing your integration.
  2. A Live environment for processing payments.

These environments are entirely separate and do not share API Credentials.

Environment Endpoint URL
Sandbox https://finix.sandbox-payments-api.com
Live https://finix.live-payments-api.com

Live Access

To get access to the Live environment, please reach out to your Finix point-of-contact.


link to section/HTTP-Codes-and-Errors HTTP Codes and Errors

Finix uses HTTP codes to communicate whether requests succeeded or failed. Requests to Finix's API return responses within less than one second.

However, communications between card networks and processors can increase response latency. Additionally, response latency for card-present devices can be higher depending on how quickly buyers complete the transaction on payment terminals.

Due of this, requests to the Finix API have a maximum timeout of 5 minutes.

For more details, see Error Codes. Also, you can test for specific errors and responses.

Code Definition Explanation
400 Bad Request We could not parse your request. Verify you are providing valid JSON.
401 Unauthorized We could not authenticate your request. Verify your username and password are correct.
402 Upstream Processor Error Errors caused by 3rd-party service(s).
403 Forbidden Your credentials do not have the correct permissions to perform the request.
404 Not Found We could not find the specified resource.
405 Method Not Allowed The specified resource does not support the HTTP Method used to submit the request.
406 Not Acceptable The server could accept the submitted request. Confirm how the request was formatted and submitted.
409 Conflict The submitted request conflicts with the current state of the server.
422 Unprocessable Entity The parameters were valid, but the request failed. Usually, the error involves misunderstanding of how to perform the request (e.g., creating a transfer with a seller that is not-yet-approved).
500 Internal Server Error We had a problem with our server. Try again later.

link to section/Idempotent-Requests Idempotent Requests

The Authorization and Transfer resources both have an idempotency_id field. Use this field to ensure the API Request is performed only once.

Why is this important? We've all experienced a checkout page that hangs on a request or payment, and feared that if we refresh or submit the payment again, we'd be charged twice.

Finix removes this ambiguity with the idempotency_id. You or the user can generate a unique ID that can be included as an idempotency_id with the usual request payload. If anyone attempts a request with the same idempotency_id, the response will raise an exception.

By passing an idempotency_id in the body of your requests, you can be rest assured that when you create an Authorization or Transfer, the user will be protected from potential network issues.

idempotency_id is available on the following three endpoints:

`idempotency_id` scope

idempotency_id checks against previous requests made on the same endpoint.


link to section/Query-Parameters Query Parameters

Every Finix resource (e.g., Authorizations, Transfers) can be listed and reviewed using GET requests. Additionally, every endpoint has query parameters available to help you filter the resources that are returned.

See the following example of how to query the Transfers endpoint for Transfer resources with type: DEBIT.

Query Parameter Example

curl "https://finix.sandbox-payments-api.com/transfers?type=DEBIT" \
    -H "Finix-Version: 2022-02-01" \
    -u USsRhsHYZGBPnQw8CByJyEQW:8a14c2f9-d94b-4c72-8f5c-a62908e5b30e

link to section/Tags Tags

Many Finix resources (e.g., Authorization, Transfer) let you include tags to add key-value metadata to your Finix API resources. For example, when creating a Transfer, you might include customerId: Customer123 to tag the Transfer with your internal customer ID. You can update tags as many times as needed, as well as filter resources by tags.

Tags Example

{
    ...,
    "tags": {
        "card-type": "business card",
        "order_number": "H-1257",
        "customer_order_reference": "order1234",
        "item_type": "hardware",
        "vendor": "finix"
    }
}

The tags object accepts up to 50 key: value pairs to annotate resources with custom metadata.

Special Characters

Finix does not allow special characters on tags (e.g., \, ,, ", ')


link to section/Versioning Versioning

As Finix improves our products and features, we will make changes to our APIs. When breaking changes are made to Finix's API, we may release a new dated API version.

The API version your requests use controls how API responses and webhooks behave (for example, the values you see in responses and the parameters you can include in requests). For more information, see Versioning.


link to section/Postman-Collection Postman Collection

Finix has a Postman collection to help in your development. You can fork it using the button below.

Overview

URL https://finix.com

Finix support@finix.com

Languages

cURL

Servers

Sandbox server

https://finix.sandbox-payments-api.com

link to Authorizations Authorizations

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

An Authorization (also known as a card hold) reserves a specific amount on a card to be captured (i.e. debited) at a later date, usually within seven days. When an Authorization is captured it produces a Transfer resource.

Related Guides:

Operations

post

/authorizations

get

/authorizations

get

/authorizations/{authorization_id}

put

/authorizations/{authorization_id}

put

/authorizations/{authorization_id_void_to}

+ Show

link to Compliance Forms Compliance Forms

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

To process payments, your Merchants must validate their compliance with PCI DSS requirements annually. To do this, your Merchants must attest to PCI Self-Assessment Questionnaire (SAQ) compliance forms.

Related Guides:

Operations

get

/compliance_forms/{compliance_form_id}

put

/compliance_forms/{compliance_form_id}

get

/compliance_forms

+ Show

link to Devices Devices

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Device resource represents a Point-of-Sale terminal. Devices are used for In-Person transactions.

Related Guides:

Operations

get

/devices

get

/devices/{device_id}

put

/devices/{device_id}

get

/devices/{device_id_connection}

get

/devices/{device_id}/device_metrics

post

/merchants/{merchant_id}/devices

+ Show

link to Disputes Disputes

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Disputes, also known as chargebacks, are customer-disputed charges. A core part of the dispute lifecycle is the ability for a Merchant to upload evidence supporting their side.

Related Guides:

Operations

get

/disputes

get

/disputes/{dispute_id}

put

/disputes/{dispute_id}

post

/disputes/{dispute_id}/evidence

get

/disputes/{dispute_id}/evidence

get

/disputes/{dispute_id}/evidence/{evidence_id}

put

/disputes/{dispute_id}/evidence/{evidence_id}

delete

/disputes/{dispute_id}/evidence/{evidence_id}

Show4more...

link to List Disputes List Disputes

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/listdisputes#disputes/listdisputes/request Request

Retrieve a list of Dispute resources.

SecurityView security details

BasicAuth

link to /disputes/listdisputes#disputes/listdisputes/request/query Query

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=adjustment_transfer_id adjustment_transfer_id string

Filter by the ID of the adjustment Transfer.

Note: If included, all other filter parameters are ignored.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=application_id application_id string

Filter by Application ID.

Example: application_id=APc9vhYcPsRuTSpKD9KpMtPe

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount amount integer

Filter by an amount equal to the given value.

Example: amount=100

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.gt amount.gt integer

Filter by an amount greater than.

Example: amount.gt=100

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.gte amount.gte integer

Filter by an amount greater than or equal.

Example: amount.gte=100

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.lt amount.lt integer

Filter by an amount less than.

Example: amount.lt=100

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.lte amount.lte integer

Filter by an amount less than or equal.

Example: amount.lte=100

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=after_cursor after_cursor string

Return every resource created after the cursor value.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=before_cursor before_cursor string

Return every resource created before the cursor value.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=created_at.gte created_at.gte string (date-time)

Filter where created_at is after the given date.

Example: created_at.gte=2022-09-27T11:21:23

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=created_at.lte created_at.lte string (date-time)

Filter where created_at is before the given date.

Example: created_at.lte=2026-09-27T11:21:23

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_identity_first_name buyer_identity_first_name string

Filter by buyer's first name.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_identity_last_name buyer_identity_last_name string

Filter by buyer's last name.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_business_name buyer_business_name string

Filter by the business_name of the buyer's Identity.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_doing_business_as buyer_doing_business_as string

Filter by the doing_business_as of the buyer's Identity.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_bin instrument_bin string

Filter by the Bank Identification Number (BIN). The BIN is the first 6 digits of the masked account number.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_brand_type instrument_brand_type string

Filter by the card brand used.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_card_last4 instrument_card_last4 string

Filter by the last 4 digits of the card used.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_card_type instrument_card_type string

Filter by the card type.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_fingerprint instrument_fingerprint string

Filter by the fingerprint of the Payment Instrument.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_name instrument_name string

Filter by the name of the Payment Instrument.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_type instrument_type string

Filter by Payment Instrument type.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=limit limit integer <= 100

The numbers of items to return.

Example: limit=10

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_identity_id merchant_identity_id string

Filter by the ID of the Identity used by the Merchant.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_identity_name merchant_identity_name string

Filter by the name used by the Merchant.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_identity_name.like merchant_identity_name.like string

Filter by the name used by the Merchant. Use this when searching with only partial name values.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_id merchant_id string

Filter by the ID of the Merchant.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_mid merchant_mid string

Filter by the MID of the Merchant.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=names names string

Filter by the name used by the Merchant, the buyer's first and last name, business_name, and doing_business_as used by Identities when role is BUYER.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=names.like names.like string

Filter by the name used by the Merchant, the buyer's first and last name, business_name, and doing_business_as used by Identities when role is BUYER. Use this when searching with only partial values.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=response_state response_state string

Filter by the response_state of the Dispute.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=respond_by.lte respond_by.lte string

Filter where respond_by is before the given date.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=respond_by.gte respond_by.gte string

Filter where respond_by is after the given date.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags tags string

Filter by the key or value of tags.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags.like tags.like string

Filter by the key or value of tags. Use this when searching with only partial values.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags.key tags.key string

Filter by the tag's key. For more information, see Tags.

Example: tags.key=card_type

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags.value tags.value string

Filter by the tag's value. For more information, see Tags.

Example: tags.value=business_card

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=transfer_id transfer_id string

Filter by the ID of the Transfer that's being disputed.

Note: If included, all other filter parameters are ignored.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=state state string

Filter by the state of the Dispute.

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=updated_at.gte updated_at.gte string (date-time)

Filter where updated_at is after the given date.

Example: updated_at.gte=2022-09-27T11:21:23

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=updated_at.lte updated_at.lte string (date-time)

Filter where updated_at is before the given date.

Example: updated_at.lte=2026-09-27T11:21:23

link to /disputes/listdisputes#disputes/listdisputes/request/header Headers

link to /disputes/listdisputes#disputes/listdisputes/t=request&in=header&path=finix-version Finix-Version string

Specify the API version of your request. For more details, see Versioning.

Default 2022-02-01

Example: 2022-02-01

get

/disputes

curl

curl "https://finix.sandbox-payments-api.com/disputes" \
-H "Finix-Version: 2022-02-01" \
-u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda

link to /disputes/listdisputes#disputes/listdisputes/response&c=200 Responses

  1. 200
  2. 401
  3. 403
  4. 406
  5. 422

Expand all

List of Dispute resources

link to /disputes/listdisputes#disputes/listdisputes/response&c=200/headers Headers

link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example: "ROLE_PARTNER"

link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

link to /disputes/listdisputes#disputes/listdisputes/response&c=200/body Bodyapplication/json

link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=page page object

Details the page that's returned.

+Show 2 properties

link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=_embedded_embedded object

+Show property

link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=_links_links object

+Show 2 properties

Response

  1. 200
  2. 401
  3. 403
  4. 406
  5. 422

application/json

{
  "_embedded": {
    "disputes": [ … ]
  },
  "_links": {
    "self": { … },
    "next": { … }
  },
  "page": {
    "limit": 100,
    "next_cursor": "DIs7yQRkHDdMYhurzYz72SFk"
  }
}

Was this helpful?

link to Fetch a Dispute Fetch a Dispute

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/getdispute#disputes/getdispute/request Request

Retrieve the details of an existing Dispute.

SecurityView security details

BasicAuth

link to /disputes/getdispute#disputes/getdispute/request/path Path

link to /disputes/getdispute#disputes/getdispute/t=request&in=path&path=dispute_id dispute_id string required

The ID of Dispute.

Example: DIgDv9764vkkEVu1suZNCDbR

link to /disputes/getdispute#disputes/getdispute/request/header Headers

link to /disputes/getdispute#disputes/getdispute/t=request&in=header&path=finix-version Finix-Version string

Default 2022-02-01

Example: 2022-02-01

get

/disputes/{dispute_id}

cURL

curl -i -X GET \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR \
  -H 'Finix-Version: 2022-02-01'

link to /disputes/getdispute#disputes/getdispute/response&c=200 Responses

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406

Expand all

A single Dispute

link to /disputes/getdispute#disputes/getdispute/response&c=200/headers Headers

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example: "ROLE_PARTNER"

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

link to /disputes/getdispute#disputes/getdispute/response&c=200/body Bodyapplication/json

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=id id string non-empty

The ID of the resource.

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=action action string or null

The next action required to move forward with the Dispute.

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=amount amount integer or null

The total amount of the Dispute (in cents).

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=application application string non-empty

ID of the Application the resource was created under.

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=dispute_details dispute_details object

Details about the Dispute received by the processor. Any data from the processor can get included.

+Show 3 properties

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=evidence_submitted evidence_submitted string

The status of the uploaded evidence after it has been submitted to the issuing bank. This field reflects how the Dispute is moving forward following the submission of dispute evidence. For more information on challenging a Dispute, see Responding to Disputes.

Possible values are:

Enum"INQUIRY""CHARGEBACK""NONE""NOT_SUPPORTED""UNKNOWN"

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=identity identity string

The ID of the seller's Identity resource. This is the Identity resource that was used to create the seller's Merchant.

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=merchant merchant string

The ID of the seller's Merchant resource. This is the Merchant account the Dispute was filed against.

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=message message string or null

Additional dispute details. This field is typically null.

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=occurred_at occurred_at string or null (date-time)

A timestamp of when the disputed Transfer was created.

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=reason reason string

The system-defined reason for the Dispute. Available values include:

Enum"CLERICAL""FRAUD""INQUIRY""QUALITY""TECHNICAL"

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=respond_by respond_by string or null (date-time)

A timestamp of when the Merchant must respond to the Dispute.

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=response_state response_state string

Details the state of the Dispute and what action the Merchant needs to take. Possible values are:

Enum"NEEDS_RESPONSE""RESPONDED""ACCEPTED""NO_RESPONSE_ALLOWED""UNKNOWN"

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=state state string

The current overall state of the Dispute. Disputes are initially created with a PENDING state. The decision of the issuing bank is final for all parties. Possible values include:

Enum"INQUIRY""PENDING""LOST""WON"

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=transfer transfer string

ID of the Transfer resource.

Example: "TRxxxxxxxxxxxxxxxxxx"

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=_links_links object

For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

+Show 5 properties

Response

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406

application/json

Dispute - Needs Response

{
  "id": "DIsJSXxf9orZiXwXCmYqSkrK",
  "created_at": "2026-01-13T23:40:05.42Z",
  "updated_at": "2026-01-13T23:40:04.96Z",
  "action": null,
  "amount": 888888,
  "application": "AP2Qy1RtSVmnwEgaJdkvNHSH",
  "dispute_details": {
    "arn": "123"
  },
  "evidence_submitted": "NONE",
  "identity": "ID23N5qMQFtUikjEmyc1mUiA",
  "merchant": "MUesoo7UHGDjwjgKDvx5FNz6",
  "message": null,
  "occurred_at": "2026-01-13T23:39:08.51Z",
  "reason": "FRAUD",
  "respond_by": "2026-01-20T23:40:05.41Z",
  "response_state": "NEEDS_RESPONSE",
  "state": "PENDING",
  "tags": {
    "agencyId": "g9qGjOfW5wFm8WwmdUUK6",
    "transactionId": "31c82116-23f4-4ead-9297-3516a2bbea82"
  },
  "transfer": "TR5gUxtLvZ3zFrTEN1hHkaN4",
  "_links": {
    "self": { … },
    "application": { … },
    "transfer": { … },
    "evidence": { … },
    "adjustment_transfers": { … }
  }
}

Was this helpful?

link to Update Dispute Update Dispute

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/updatedispute#disputes/updatedispute/request RequestExpand all

Update tags on a Dispute.

SecurityView security details

BasicAuth

link to /disputes/updatedispute#disputes/updatedispute/request/path Path

link to /disputes/updatedispute#disputes/updatedispute/t=request&in=path&path=dispute_id dispute_id string required

The ID of Dispute.

Example:DIgDv9764vkkEVu1suZNCDbR

link to /disputes/updatedispute#disputes/updatedispute/request/body Bodyapplication/jsonrequired

link to /disputes/updatedispute#disputes/updatedispute/t=request&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

put

/disputes/{dispute_id}

cURL

curl -i -X PUT \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR \
  -H 'Content-Type: application/json' \
  -d '{
    "tags": {
      "order_number": "41BFASJSAKAS"
    }
  }'

link to /disputes/updatedispute#disputes/updatedispute/response&c=200 Responses

  1. 200
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406

Expand all

A single Dispute

link to /disputes/updatedispute#disputes/updatedispute/response&c=200/headers Headers

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example:"ROLE_PARTNER"

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

link to /disputes/updatedispute#disputes/updatedispute/response&c=200/body Bodyapplication/json

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=id id string non-empty

The ID of the resource.

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=action action string or null

The next action required to move forward with the Dispute.

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=amount amount integer or null

The total amount of the Dispute (in cents).

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=application application string non-empty

ID of the Application the resource was created under.

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=dispute_details dispute_details object

Details about the Dispute received by the processor. Any data from the processor can get included.

+Show 3 properties

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=evidence_submitted evidence_submitted string

Possible values are:

Enum"INQUIRY""CHARGEBACK""NONE""NOT_SUPPORTED""UNKNOWN"

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=identity identity string

The ID of the seller's Identity resource. This is the Identity resource that was used to create the seller's Merchant.

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=merchant merchant string

The ID of the seller's Merchant resource. This is the Merchant account the Dispute was filed against.

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=message message string or null

Additional dispute details. This field is typically null.

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=occurred_at occurred_at string or null (date-time)

A timestamp of when the disputed Transfer was created.

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=reason reason string

The system-defined reason for the Dispute. Available values include:

Enum"CLERICAL""FRAUD""INQUIRY""QUALITY""TECHNICAL"

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=respond_by respond_by string or null (date-time)

A timestamp of when the Merchant must respond to the Dispute.

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=response_state response_state string

Details the state of the Dispute and what action the Merchant needs to take. Possible values are:

Enum"NEEDS_RESPONSE""RESPONDED""ACCEPTED""NO_RESPONSE_ALLOWED""UNKNOWN"

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=state state string

Enum"INQUIRY""PENDING""LOST""WON"

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=transfer transfer string

ID of the Transfer resource.

Example:"TRxxxxxxxxxxxxxxxxxx"

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=_links_links object

+Show 5 properties

Response

  1. 200
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406

application/json

Dispute - Needs Response

Was this helpful?

link to Upload Files as Dispute Evidence Upload Files as Dispute Evidence

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/request Request

Upload a file as evidence for a Dispute.

SecurityView security details

BasicAuth

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/request/path Path

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&in=path&path=dispute_id dispute_id string required

The ID of Dispute.

Example:DIgDv9764vkkEVu1suZNCDbR

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/request/header Headers

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&in=header&path=finix-version Finix-Version string

Default2022-02-01

Example:2022-02-01

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&in=header&path=content-type Content-Type string

The data type being sent in the request body must be application/json.

Example:application/json

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/request/body Bodymultipart/form-datarequired

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&path=file file string (binary)

The binary contents of the file.

Example:"@evidence.jpeg"

post

/disputes/{dispute_id}/evidence

cURL

curl -i -X POST \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence \
  -H 'Content-Type: multipart/form-data' \
  -H 'Finix-Version: 2022-02-01' \
  -F file=@evidence.jpeg

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/response&c=201 Responses

  1. 201
  2. 400
  3. 401
  4. 403
  5. 406

Expand all

A single Dispute Evidence resource

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/response&c=201/headers Headers

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=date date string

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example:"ROLE_PARTNER"

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/response&c=201/body Bodyapplication/json

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=id id string non-empty

The ID of the resource.

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=application application string non-empty

ID of the Application the resource was created under.

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=dispute dispute string

The ID of the Dispute associated with the evidence.

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=state state string

The result after uploading evidence.

Enum"PENDING""SUCCEEDED""CANCELED""FAILED"

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=failure_code failure_code string or null

The reason the evidence file failed processing. Populated when state is FAILED; null otherwise.

Enum"MALWARE_DETECTED""GENERIC_FAILURE""FILE_SIZE_LIMIT_EXCEEDED""TOTAL_COMBINED_FILE_SIZE_LIMIT_EXCEEDED""TOTAL_PAGE_COUNT_LIMIT_EXCEEDED"

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=failure_message failure_message string or null

A human-readable message explaining why the evidence file failed processing. Populated when state is FAILED; null otherwise. Safe to surface directly in a UI.

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=identity identity string

The ID of the seller's Identity resource. This is the Identity resource that was used to create the seller's Merchant.

Example:"IDpYDM7J9n57q849o9E9yNrG"

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=merchant merchant string

The ID of the seller's Merchant resource. This is the Merchant account the Dispute was filed against.

Example:"MUucec6fHeaWo3VHYoSkUySM"

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=content_type content_type string

The MIME type of the uploaded evidence file (e.g. application/pdf, image/jpeg).

Example:"application/pdf"

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=extension extension string

The file extension, a suffix at the end of a file_name (letters following last period).

Example:"pdf"

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=file_name file_name string

The name of the uploaded evidence file.

Example:"evidence.pdf"

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=_links_links object

+Show property

Response

  1. 201
  2. 400
  3. 401
  4. 403
  5. 406

application/json

{
  "id": "DFvJbk7HS3p1LEoQpViJJSCB",
  "created_at": "2024-12-17T07:35:17.32Z",
  "updated_at": "2024-12-17T07:35:17.32Z",
  "application": "APgPDQrLD52TYvqazjHJJchM",
  "content_type": "image/jpeg",
  "dispute": "DIkigGVrJPjDyAXejvvKXv9e",
  "extension": "jpg",
  "file_name": "evidence.jpg",
  "identity": "ID4sanuCPqjmkmP4Q3Shkvww",
  "merchant": "MUcvYR7tboSRejbVzHJSjXct",
  "state": "PENDING",
  "failure_code": null,
  "failure_message": null,
  "tags": {
    "file-extension": ".jpg",
    "content-type": "image/jpeg",
    "file-name": "evidence.jpg"
  },
  "_links": {
    "self": { … }
  }
}

Was this helpful?

link to List Dispute Evidence List Dispute Evidence

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/request Request

Retrieve a list of Dispute Evidence for a Dispute.

SecurityView security details

BasicAuth

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/request/path Path

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=path&path=dispute_id dispute_id string required

The ID of Dispute.

Example:DIgDv9764vkkEVu1suZNCDbR

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/request/query Query

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=after_cursor after_cursor string

Return every resource created after the cursor value.

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=before_cursor before_cursor string

Return every resource created before the cursor value.

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=created_at.gte created_at.gte string (date-time)

Filter where created_at is after the given date.

Example:created_at.gte=2022-09-27T11:21:23

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=created_at.lte created_at.lte string (date-time)

Filter where created_at is before the given date.

Example:created_at.lte=2026-09-27T11:21:23

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=limit limit integer <= 100

The numbers of items to return.

Example:limit=10

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=tags.key tags.key string

Filter by the tag's key. For more information, see Tags.

Example:tags.key=card_type

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=tags.value tags.value string

Filter by the tag's value. For more information, see Tags.

Example:tags.value=business_card

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=updated_at.gte updated_at.gte string (date-time)

Filter where updated_at is after the given date.

Example:updated_at.gte=2022-09-27T11:21:23

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=updated_at.lte updated_at.lte string (date-time)

Filter where updated_at is before the given date.

Example:updated_at.lte=2026-09-27T11:21:23

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/request/header Headers

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=header&path=finix-version Finix-Version string

Default2022-02-01

Example:2022-02-01

get

/disputes/{dispute_id}/evidence

curl

curl "https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence" \
-H "Finix-Version: 2022-02-01" \
-u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/response&c=200 Responses

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406
  6. 422

Expand all

List of Dispute Evidence resources

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/response&c=200/headers Headers

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example:"ROLE_PARTNER"

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/response&c=200/body Bodyapplication/json

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=page page object

Details the page that's returned.

+Show 2 properties

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=_embedded_embedded object

+Show property

link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=_links_links object

+Show 2 properties

Response

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406
  6. 422

application/json

{
  "_embedded": {
    "evidences": [ … ]
  },
  "_links": {
    "self": { … },
    "next": { … }
  },
  "page": {
    "limit": 100,
    "next_cursor": "DFdEdexaPHqyVnwiNvfdx7az"
  }
}

Was this helpful?

link to Fetch Dispute Evidence Fetch Dispute Evidence

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/request Request

Fetch evidence uploaded for a Dispute.

If the Finix Dashboard is unavailable, you can fetch the evidence to review the upload state and confirm it was sent to the processor.

SecurityView security details

BasicAuth

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/request/path Path

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=request&in=path&path=dispute_id dispute_id string required

The ID of Dispute to fetch evidence for.

Example: DIgDv9764vkkEVu1suZNCDbR

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=request&in=path&path=evidence_id evidence_id string required

The ID of Dispute Evidence to fetch.

Example: DFet8gXGsH4kXmDWdLhHoKco

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/request/header Headers

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=request&in=header&path=finix-version Finix-Version string

Default 2022-02-01

Example: 2022-02-01

get

/disputes/{dispute_id}/evidence/{evidence_id}

cURL

curl -i -X GET \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence/DFet8gXGsH4kXmDWdLhHoKco \
  -H 'Finix-Version: 2022-02-01'

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/response&c=200 Responses

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406

Expand all

A single Dispute Evidence resource

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/response&c=200/headers Headers

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example: "ROLE_PARTNER"

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/response&c=200/body Bodyapplication/json

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=id id string non-empty

The ID of the resource.

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=application application string non-empty

ID of the Application the resource was created under.

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=dispute dispute string

The ID of the Dispute associated with the evidence.

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=state state string

The result after uploading evidence.

Enum"PENDING""SUCCEEDED""CANCELED""FAILED"

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=failure_code failure_code string or null

The reason the evidence file failed processing. Populated when state is FAILED; null otherwise.

Enum"MALWARE_DETECTED""GENERIC_FAILURE""FILE_SIZE_LIMIT_EXCEEDED""TOTAL_COMBINED_FILE_SIZE_LIMIT_EXCEEDED""TOTAL_PAGE_COUNT_LIMIT_EXCEEDED"

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=failure_message failure_message string or null

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=identity identity string

The ID of the seller's Identity resource. This is the Identity resource that was used to create the seller's Merchant.

Example: "IDpYDM7J9n57q849o9E9yNrG"

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=merchant merchant string

The ID of the seller's Merchant resource. This is the Merchant account the Dispute was filed against.

Example: "MUucec6fHeaWo3VHYoSkUySM"

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=content_type content_type string

The MIME type of the uploaded evidence file (e.g. application/pdf, image/jpeg).

Example: "application/pdf"

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=extension extension string

The file extension, a suffix at the end of a file_name (letters following last period).

Example: "pdf"

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=file_name file_name string

The name of the uploaded evidence file.

Example: "evidence.pdf"

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=_links_links object

+Show property

Response

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406

application/json

Was this helpful?

link to Update Dispute Evidence Update Dispute Evidence

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/request RequestExpand all

Update tags on Dispute Evidence.

SecurityView security details

BasicAuth

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/request/path Path

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=request&in=path&path=dispute_id dispute_id string required

The ID of Dispute to fetch evidence for.

Example: DIgDv9764vkkEVu1suZNCDbR

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=request&in=path&path=evidence_id evidence_id string required

The ID of Dispute Evidence to fetch.

Example: DFet8gXGsH4kXmDWdLhHoKco

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/request/body Bodyapplication/jsonrequired

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=request&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

put

/disputes/{dispute_id}/evidence/{evidence_id}

cURL

curl -i -X PUT \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence/DFet8gXGsH4kXmDWdLhHoKco \
  -H 'Content-Type: application/json' \
  -d '{
    "tags": {
      "content-type": "image/jpeg",
      "file-extension": ".jpg",
      "file-name": "evidence.jpg"
    }
  }'

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/response&c=200 Responses

  1. 200
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406

Expand all

A single Dispute

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/response&c=200/headers Headers

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example: "ROLE_PARTNER"

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/response&c=200/body Bodyapplication/json

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=id id string non-empty

The ID of the resource.

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=application application string non-empty

ID of the Application the resource was created under.

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=dispute dispute string

The ID of the Dispute associated with the evidence.

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=state state string

The result after uploading evidence.

Enum"PENDING""SUCCEEDED""CANCELED""FAILED"

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=failure_code failure_code string or null

The reason the evidence file failed processing. Populated when state is FAILED; null otherwise.

Enum"MALWARE_DETECTED""GENERIC_FAILURE""FILE_SIZE_LIMIT_EXCEEDED""TOTAL_COMBINED_FILE_SIZE_LIMIT_EXCEEDED""TOTAL_PAGE_COUNT_LIMIT_EXCEEDED"

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=failure_message failure_message string or null

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=identity identity string

The ID of the seller's Identity resource. This is the Identity resource that was used to create the seller's Merchant.

Example: "IDpYDM7J9n57q849o9E9yNrG"

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=merchant merchant string

The ID of the seller's Merchant resource. This is the Merchant account the Dispute was filed against.

Example: "MUucec6fHeaWo3VHYoSkUySM"

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=content_type content_type string

The MIME type of the uploaded evidence file (e.g. application/pdf, image/jpeg).

Example: "application/pdf"

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=extension extension string

The file extension, a suffix at the end of a file_name (letters following last period).

Example: "pdf"

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=file_name file_name string

The name of the uploaded evidence file.

Example: "evidence.pdf"

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=_links_links object

+Show property

Response

  1. 200
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406

application/json

Was this helpful?

link to Delete Dispute Evidence Delete Dispute Evidence

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/request Request

Delete a Dispute Evidence file. You can delete evidence files only before a Dispute and its uploaded evidence are submitted for the first time, and only on FINIX_V1 or DUMMY_V1.

SecurityView security details

BasicAuth

link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/request/path Path

link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/t=request&in=path&path=dispute_id dispute_id string required

The ID of Dispute to fetch evidence for.

Example: DIgDv9764vkkEVu1suZNCDbR

link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/t=request&in=path&path=evidence_id evidence_id string required

The ID of Dispute Evidence to fetch.

Example: DFet8gXGsH4kXmDWdLhHoKco

link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/request/header Headers

link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/t=request&in=header&path=finix-version Finix-Version string

Default 2022-02-01

Example: 2022-02-01

delete

/disputes/{dispute_id}/evidence/{evidence_id}

cURL

curl -i -X DELETE \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence/DFet8gXGsH4kXmDWdLhHoKco \
  -H 'Finix-Version: 2022-02-01'

link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/response&c=204 Responses

  1. 204
  2. 401
  3. 403
  4. 404
  5. 406
  6. 422

Deleted. No resource to return.

Response

  1. 204
  2. 401
  3. 403
  4. 404
  5. 406
  6. 422
No content

Was this helpful?

link to List Dispute Adjustment Transfers List Dispute Adjustment Transfers

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/request Request

List the adjustment Transfers for a Dispute. Depending on the stage of the Dispute, different adjustment Transfer subtypes can be applied.

There are four available subtypes for adjustment Transfers in Disputes:

SecurityView security details

BasicAuth

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/request/path Path

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=path&path=dispute_id dispute_id string required

ID of the Dispute resource.

Example: DIgDv9764vkkEVu1suZNCDbR

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/request/query Query

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=query&path=after_cursor after_cursor string

Return every resource created after the cursor value.

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=query&path=before_cursor before_cursor string

Return every resource created before the cursor value.

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=query&path=created_at.gte created_at.gte string (date-time)

Filter where created_at is after the given date.

Example: created_at.gte=2022-09-27T11:21:23

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=query&path=created_at.lte created_at.lte string (date-time)

Filter where created_at is before the given date.

Example: created_at.lte=2026-09-27T11:21:23

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=query&path=limit limit integer <= 100

The numbers of items to return.

Example: limit=10

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=query&path=tags.key tags.key string

Filter by the tag's key. For more information, see Tags.

Example: tags.key=card_type

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=query&path=tags.value tags.value string

Filter by the tag's value. For more information, see Tags.

Example: tags.value=business_card

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=query&path=updated_at.gte updated_at.gte string (date-time)

Filter where updated_at is after the given date.

Example: updated_at.gte=2022-09-27T11:21:23

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=query&path=updated_at.lte updated_at.lte string (date-time)

Filter where updated_at is before the given date.

Example: updated_at.lte=2026-09-27T11:21:23

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/request/header Headers

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=request&in=header&path=finix-version Finix-Version string

Default 2022-02-01

Example: 2022-02-01

get

/disputes/{dispute_id}/adjustment_transfers

curl

curl "https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/adjustment_transfers" \
-H "Finix-Version: 2022-02-01" \
-u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/response&c=200 Responses

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406
  6. 422

Expand all

List of balance adjustment Transfers in a Dispute

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/response&c=200/headers Headers

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example: "ROLE_PARTNER"

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/response&c=200/body Bodyapplication/json

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=response&c=200&path=page page object

Details the page that's returned.

+Show 2 properties

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=response&c=200&path=_embedded_embedded object

+Show property

link to /disputes/listdisputesadjustments#disputes/listdisputesadjustments/t=response&c=200&path=_links_links object

+Show 2 properties

Response

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406
  6. 422

application/json

{
  "_embedded": {
    "transfers": [ … ]
  },
  "_links": {
    "self": { … },
    "next": { … }
  },
  "page": {
    "limit": 100,
    "next_cursor": "TR6354QZvL8DVZ5QTeKFhKEB"
  }
}

Was this helpful?

link to Submit Dispute Evidence Submit Dispute Evidence

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/request Request

You can submit evidence to the issuing bank, confirming that the Merchant has completed submitting evidence and is ready to proceed with the Dispute.

Related guides: Responding to Disputes.

SecurityView security details

BasicAuth

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/request/path Path

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=request&in=path&path=dispute_id dispute_id string required

ID of Dispute to move forward and submit evidence.

Example: DIgDv9764vkkEVu1suZNCDbR

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/request/header Headers

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=request&in=header&path=finix-version Finix-Version string

Default 2022-02-01

Example: 2022-02-01

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=request&in=header&path=content-type Content-Type string

The data type being sent in the request body must be application/json.

Example: application/json

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/request/body Bodyapplication/jsonrequired

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=request&path=amount amount integer or null

Enter the amount in cents for the partial dispute you wish to rebut. Use this field only if you are rebutting part of the Dispute. The amount must be equal to or less than the disputed amount. If you use this field, provide details in the notes explaining the reason for the partial amount.

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=request&path=note note string required

Include a note to explain the evidence files and the rebuttal of the Dispute.

Example: "Partial rebuttal is due to double charging cardholder due to technical malfunction on point of sale, but we have attached receipt as proof that cardhoder received item."

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=request&path=refund refund string or null

The ID of a Transfer. Use this field only if you are resolving an INQUIRY dispute with a proactive refund to the cardholder, or if a refund was made before the Dispute but the cardholder did not notice. The value should be the ID of the Transfer resource with type REVERSAL, or one of the operation_key values:

Example: "TRxxxxxxxxx"

post

/disputes/{dispute_id}/submit

cURL

curl -i -X POST \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/submit \
  -H 'Content-Type: application/json' \
  -H 'Finix-Version: 2022-02-01' \
  -d '{
    "note": "Partial rebuttal is due to double charging cardholder due to technical malfunction on point of sale, but we have attached receipt as proof that cardhoder received item."
  }'

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/response&c=202 Responses

  1. 202
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406

Expand all

A single Dispute Evidence resource

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/response&c=202/headers Headers

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=date date string

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example: "ROLE_PARTNER"

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/response&c=202/body Bodyapplication/json

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=id id string non-empty

The ID of the resource.

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=application application string non-empty

ID of the Application the resource was created under.

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=dispute dispute string

The ID of the Dispute associated with the evidence.

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=state state string

The result after uploading evidence.

Enum"PENDING""SUCCEEDED""CANCELED""FAILED"

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=failure_code failure_code string or null

The reason the evidence file failed processing. Populated when state is FAILED; null otherwise.

Enum"MALWARE_DETECTED""GENERIC_FAILURE""FILE_SIZE_LIMIT_EXCEEDED""TOTAL_COMBINED_FILE_SIZE_LIMIT_EXCEEDED""TOTAL_PAGE_COUNT_LIMIT_EXCEEDED"

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=failure_message failure_message string or null

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=identity identity string

The ID of the seller's Identity resource. This is the Identity resource that was used to create the seller's Merchant.

Example: "IDpYDM7J9n57q849o9E9yNrG"

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=merchant merchant string

The ID of the seller's Merchant resource. This is the Merchant account the Dispute was filed against.

Example: "MUucec6fHeaWo3VHYoSkUySM"

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=content_type content_type string

The MIME type of the uploaded evidence file (e.g. application/pdf, image/jpeg).

Example: "application/pdf"

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=extension extension string

The file extension, a suffix at the end of a file_name (letters following last period).

Example: "pdf"

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=file_name file_name string

The name of the uploaded evidence file.

Example: "evidence.pdf"

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /disputes/submitdisputeevidence#disputes/submitdisputeevidence/t=response&c=202&path=_links_links object

+Show property

Response

  1. 202
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406

application/json

Was this helpful?

link to Accept a Dispute Accept a Dispute

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/acceptdispute#disputes/acceptdispute/request Request

You can accept a Dispute to prevent a long (and potentially expensive) process. When you accept a Dispute, you concede that the Dispute is not worth challenging or representing.

Related guides: Accepting a Dispute

SecurityView security details

BasicAuth

link to /disputes/acceptdispute#disputes/acceptdispute/request/path Path

link to /disputes/acceptdispute#disputes/acceptdispute/t=request&in=path&path=dispute_id dispute_id string required

ID of Dispute to move forward and submit evidence.

Example: DIgDv9764vkkEVu1suZNCDbR

link to /disputes/acceptdispute#disputes/acceptdispute/request/header Headers

link to /disputes/acceptdispute#disputes/acceptdispute/t=request&in=header&path=finix-version Finix-Version string

Default 2022-02-01

Example: 2022-02-01

link to /disputes/acceptdispute#disputes/acceptdispute/t=request&in=header&path=content-type Content-Type string

The data type being sent in the request body must be application/json.

Example: application/json

link to /disputes/acceptdispute#disputes/acceptdispute/request/body Bodyapplication/jsonrequired

link to /disputes/acceptdispute#disputes/acceptdispute/t=request&path=note note string required

Include a note or custom metadata to reference the Dispute.

Example: "Accepting Dispute: Mistaken Charge"

post

/disputes/{dispute_id}/accept

cURL

curl -i -X POST \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/accept \
  -H 'Content-Type: application/json' \
  -H 'Finix-Version: 2022-02-01' \
  -d '{
    "note": "Accepting Dispute: Valid Reason"
  }'

link to /disputes/acceptdispute#disputes/acceptdispute/response&c=202 Responses

  1. 202
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406
  7. 422

Expand all

A single Dispute

link to /disputes/acceptdispute#disputes/acceptdispute/response&c=202/headers Headers

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=date date string

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example: "ROLE_PARTNER"

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

link to /disputes/acceptdispute#disputes/acceptdispute/response&c=202/body Bodyapplication/json

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=id id string non-empty

The ID of the resource.

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=created_at created_at string (date-time)

Timestamp of when the object was created.

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=updated_at updated_at string (date-time)

Timestamp of when the object was last updated.

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=action action string or null

The next action required to move forward with the Dispute.

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=amount amount integer or null

The total amount of the Dispute (in cents).

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=application application string non-empty

ID of the Application the resource was created under.

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=dispute_details dispute_details object

Details about the Dispute received by the processor. Any data from the processor can get included.

+Show 3 properties

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=evidence_submitted evidence_submitted string

Possible values are:

Enum"INQUIRY""CHARGEBACK""NONE""NOT_SUPPORTED""UNKNOWN"

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=identity identity string

The ID of the seller's Identity resource. This is the Identity resource that was used to create the seller's Merchant.

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=merchant merchant string

The ID of the seller's Merchant resource. This is the Merchant account the Dispute was filed against.

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=message message string or null

Additional dispute details. This field is typically null.

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=occurred_at occurred_at string or null (date-time)

A timestamp of when the disputed Transfer was created.

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=reason reason string

The system-defined reason for the Dispute. Available values include:

Enum"CLERICAL""FRAUD""INQUIRY""QUALITY""TECHNICAL"

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=respond_by respond_by string or null (date-time)

A timestamp of when the Merchant must respond to the Dispute.

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=response_state response_state string

Details the state of the Dispute and what action the Merchant needs to take. Possible values are:

Enum"NEEDS_RESPONSE""RESPONDED""ACCEPTED""NO_RESPONSE_ALLOWED""UNKNOWN"

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=state state string

Enum"INQUIRY""PENDING""LOST""WON"

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=transfer transfer string

ID of the Transfer resource.

Example: "TRxxxxxxxxxxxxxxxxxx"

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=tags tags object or null

Include up to 50 key: value pairs to annotate requests with custom metadata.

+Show property

link to /disputes/acceptdispute#disputes/acceptdispute/t=response&c=202&path=_links_links object

+Show 5 properties

Response

  1. 202
  2. 400
  3. 401
  4. 403
  5. 404
  6. 406
  7. 422

application/json

{
  "id": "DIiNqhQVMXh9oZxJtNzku7gC",
  "created_at": "2024-07-16T16:02:16.95Z",
  "updated_at": "2024-07-16T16:03:41.72Z",
  "action": null,
  "amount": 888888,
  "application": "AP7kaqPcDsvdCCXXCzRjdDtF",
  "dispute_details": {
    "arn": "123"
  },
  "evidence_submitted": "CHARGEBACK",
  "identity": "IDqmSNoMpGU4aPKATMBkxWUa",
  "merchant": "MUhutstfQHTCTKXgLgx3PrHD",
  "message": null,
  "occurred_at": "2024-07-16T16:02:16.09Z",
  "reason": "FRAUD",
  "respond_by": "2024-07-23T16:02:16.92Z",
  "response_state": "ACCEPTED",
  "state": "PENDING",
  "tags": {
    "base_amount": "888888",
    "tip": "0",
    "invoice": "49678",
    "tenant": "21920"
  },
  "transfer": "TRqp2mCSLqdFiQSK2S3utW6K",
  "_links": {
    "self": { … },
    "application": { … },
    "transfer": { … },
    "evidence": { … },
    "adjustment_transfers": { … }
  }
}

Was this helpful?

link to Download Dispute Evidence Download Dispute Evidence

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/request Request

Download a file uploaded as Dispute Evidence.

Note: The file extension included in output must match the extension of the original uploaded file.

SecurityView security details

BasicAuth

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/request/path Path

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/t=request&in=path&path=dispute_id dispute_id string required

ID of Dispute to download evidence from.

Example: DIgDv9764vkkEVu1suZNCDbR

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/t=request&in=path&path=evidence_id evidence_id string required

ID of evidence to download.

Example: DFet8gXGsH4kXmDWdLhHoKco

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/request/header Headers

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/t=request&in=header&path=finix-version Finix-Version string

Default 2022-02-01

Example: 2022-02-01

get

/disputes/{dispute_id}/evidence/{evidence_id}/download

curl

curl "https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence/DFet8gXGsH4kXmDWdLhHoKco/download" \
    -H "Finix-Version: 2022-02-01" \
    -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
    --output evidence-download.jpg

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/response&c=200 Responses

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406

A single File Download

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/response&c=200/headers Headers

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/t=response&c=200&path=date date string

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/t=response&c=200&path=finix-apiuser-role finix-apiuser-role string

This response header indicating the role of the user who sent the API request.

Enum"ROLE_PLATFORM""ROLE_PARTNER""ROLE_MERCHANT"

Example: "ROLE_PARTNER"

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/t=response&c=200&path=x-request-id x-request-id string

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

link to /disputes/downloaddisputeevidence#disputes/downloaddisputeevidence/response&c=200/body Bodyapplication/octet-stream

string (binary)

The file in question will begin to download.

Response

  1. 200
  2. 401
  3. 403
  4. 404
  5. 406

application/octet-stream

{}

Was this helpful?

link to Fees Fees

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Fee is a charge levied against a Merchant. It represents how a platform charges its sellers for all various types of Fees.

Operations

get

/fees

post

/fees

get

/fees/{fee_id}

put

/fees/{fee_id}

+ Show

link to Fee Profiles Fee Profiles

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A fee_profiles represents a pricing scheme that automatically applies fees to each transaction. Changes to fee_profiles go into effect immediately.

Related Guides:

Operations

post

/fee_profiles

get

/fee_profiles

get

/fee_profiles/{fee_profile_id}

+ Show

link to Files Files

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Use Finix's File API to upload and manage files for your merchants.

Related Guides:

Operations

post

/files

get

/files

get

/files/{file_id}

get

/files/{file_id}/external_links

post

/files/{file_id}/external_links

post

/files/{file_id}/upload

get

/files/{file_id}/download

get

/files/{file_id}/external_links/{external_link_id}

+ Show

link to Identities Identities

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

An Identity resource represents either a person or business in Finix. You'll create an Identity to onboard your sellers, and verify the different owners.

Related Guides:

Operations

post

/identities

get

/identities

get

/identities/{identity_id}

put

/identities/{identity_id}

post

/identities/{identity_id}/associated_identities

get

/identities/{identity_id}/associated_identities

get

/identities/{identity_id}/merchants

+ Show

link to Merchants Merchants

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Merchant resource represents the entity's merchant account on a processor. Your Merchant must be APPROVED to process payments.

Related Guides:

Operations

post

/identities/{identity_id}/merchants

get

/merchants

get

/merchants/{merchant_id}

put

/merchants/{merchant_id}

post

/merchants/{merchant_id}/verifications

+ Show

link to Onboarding Forms Onboarding Forms

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Finix offers and hosts pre-built onboarding forms that you can use to collect onboarding and identity verification information from your users.

Related Guides:

Operations

post

/onboarding_forms

get

/onboarding_forms/{onboarding_form_id}

post

/onboarding_forms/{onboarding_form_id}/links

+ Show

link to Payment Instruments Payment Instruments

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Payment Instrument resource represents the payment details of a credit card or bank account. Payment details get tokenized multiple times and each tokenization produces a unique Payment Instrument.

A Payment Instrument is associated with a single Identity. Once a Payment Instrument is created, the Identity it's associated with can't be changed.

Including an address when creating a Payment Instrument can lower interchange on credit card transactions.

Related Guides:

Operations

post

/payment_instruments

get

/payment_instruments

get

/payment_instruments/{payment_instrument_id}

put

/payment_instruments/{payment_instrument_id}

get

/payment_instruments/{payment_instrument_id}/instrument_history

put

/payment_instruments/{payment_instrument_id_verify}

post

/payment_instruments/{payment_instrument_id_verify}/verifications

post

/apple_pay_sessions

+ Show

link to Payment Instrument Associations Payment Instrument Associations

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

In Finix, Payment Instruments are tied to the owner of that account. For example, Payment Instruments tied to buyer will be the cards used for purchases while Payment Instruments tied to a Merchant are the bank accounts where they receive settlements.

Therefore when billing events occur that are tied to a buyer's Payment Instrument (e.g. enrolling in account updater, using Plaid for tokenization, etc) Finix cannot automatically map those fees to a specific Merchant. By default, these costs are instead charged to your Application (e.g. the Platform, Marketplace, Vertical Saas owner's account) and will be deducted from your residual. If you wish to monetize these offerings or pass the fees on to your Merchant you must explicitly link the buyers Payment Instrument to a Merchant resource using the Payment Instrument Association

Operations

post

/payment_instrument_associations

get

/payment_instrument_associations

get

/payment_instrument_associations/{payment_instrument_association_id}

put

/payment_instrument_associations/{payment_instrument_association_id}

+ Show

link to Settlements Settlements

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Settlement represents a collection (i.e. batch) of Settlement Entries that will get paid out to a specific Merchant. A Settlement Entry can represent a Transfer, custom Fee, or Split Transfer.

Related Guides:

Operations

get

/settlements

get

/settlements/{settlement_id}

put

/settlements/{settlement_id}

get

/settlements/{settlement_id}/entries

delete

/settlements/{settlement_id}/entries

get

/settlements/{settlement_id}/fees

get

/settlements/{settlement_id}/funding_transfers

delete

/settlements/{settlement_id}/transfers

Show3more...

+ Show

link to Settlement Queue Entries Settlement Queue Entries

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Settlement Queue Entry resource represents an entry in the settlement queue used to track when and how a transfer is queued to be processed.

If a merchant's settlement_queue_mode is set to MANUAL, all transfers will have a Settlement Queue Entry created and will not be placed into settlement until the Settlement Queue Entry is explicitly released.

Related Guides:

Operations

get

/settlement_queue_entries

put

/settlement_queue_entries

get

/settlement_queue_entries/{settlement_queue_entry_id}

+ Show

link to Split Transfers Split Transfers

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Transactions can be split among different merchants. A Split Transfer shows how funds from a split Transfer were distributed into a merchant's Settlement.

Related Guides:

Operations

get

/fees

get

/split_transfers

get

/split_transfers/{split_transfer_id}

+ Show

link to Transfers Transfers

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Transfer represents any flow of funds either to or from a Payment Instrument. All payments in Finix are represented by a Transfer.

Related Guides:

Operations

post

/transfers

get

/transfers

get

/transfers/{transfer_id}

put

/transfers/{transfer_id}

post

/transfers/{transfer_id}/reversals

get

/transfers/{transfer_id}/reversals

+ Show

link to Users Users

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A User resource represents a pair of API keys which are used to perform authenticated requests against the Finix API. When making authenticated requests via HTTP basic access authentication the ID of a User resource maps to the username, while the password corresponds to the password (i.e. secret key).

The password field for a User resource is only returned during the initial creation. Any following GET requests to the resource returns the password field as null for security purposes.

Related Guides:

Operations

get

/users

get

/users/{user_id}

put

/users/{user_id}

+ Show

link to Verifications Verifications

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Verifications are used to verify Merchants and Payment Instruments.

For Merchants, a verification represents an attempt to onboard and underwrite a Merchant.

For Payment Instruments, a verification represents getting additional information from the card brands to verify a card is eligible for push to card.

Related Guides:

Operations

get

/merchants/{merchant_id}/verifications

get

/verifications

get

/verifications/{verification_id}

+ Show

link to Webhooks Webhooks

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

Webhooks let you set up integrations that subscribe to automated notifications (events) on the Finix API. When an enabled event occurs, Finix sends an HTTP POST payload to the Webhook's configured URL.

Related Guides:

Operations

post

/webhooks

get

/webhooks

get

/webhooks/{webhook_id}

put

/webhooks/{webhook_id}

+ Show

link to Gateway Integrations Gateway Integrations

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Gateway Integration represents a connection to a third-party payment gateway. At this time, the only supported gateway is Cybersource.

Cybersource is a Visa-owned payment gateway that integrates with Finix to provide secure payment processing and fraud management. Finix handles merchant onboarding and payouts through a unified API, while Cybersource manages gateway routing and fraud prevention for global card acceptance.

Operations

post

/gateway_integrations

get

/gateway_integrations

get

/gateway_integrations/{gateway_integration_id}

+ Show

link to Receipts Receipts

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

The Receipt resource generates a receipt for Transfers or Authorizations. You can then send the Receipt via Email, SMS, or use the information from the Receipt to send it yourself.

Related Guides:

Operations

post

/receipts

get

/receipts/{receipt_id}

post

/receipts/{receipt_id}/delivery_attempts

get

/receipts/{receipt_id}/delivery_attempts

+ Show

link to Subscriptions Subscriptions

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Subscription resource represents a recurring charge to a Payment Instrument at regular intervals. Subscribers can be buyers, customers, or merchants.

Subscriptions are supported for USA and Canadian merchants.

When creating a Subscription, you have the option to use a Subscription Plan.

Limitations:

Related Guides:

Operations

post

/subscriptions

get

/subscriptions

get

/subscriptions/{subscription_id}

put

/subscriptions/{subscription_id}

delete

/subscriptions/{subscription_id}

post

/subscriptions/{subscription_id}/subscription_balance_entries

get

/subscriptions/{subscription_id}/subscription_balance_entries

put

/subscriptions/{subscription_id}/subscription_balance_entries/{subscription_balance_entry_id}

+ Show

link to Subscription Plans Subscription Plans

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Subscription Plan resource is a template with set recurring costs and frequencies that can be reused across multiple Subscription resources.

Related Guides:

Operations

post

/subscription_plans

get

/subscription_plans

get

/subscription_plans/{subscription_plan_id}

put

/subscription_plans/{subscription_plan_id}

+ Show

link to Transfer Attempts Transfer Attempts

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

When a user attempts to make a payment using a Checkout Form or Payment Link, or a recipient submitting details with a Payout Link—a Transfer Attempt is created.

Using transfer attempts, you can track the lifecycle of a payment or a series of payments if you are using a multi-use Payment Link.

Checkout Forms and Payment Links support authorizations. If a payment made with them is an authorization, the Transfer Attempt result shows is_authorization: true and references the authorization (authorization_id).

Each Transfer Attempt has as reference to a transfer_id to allow you to query it for additional data.

Related Guides:

Operations

get

/transfer_attempts

get

/transfer_attempts/{transfer_attempt_id}

+ Show

link to Balances Balances

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Balance resource represents the current financial state of an Application identified by the linked_to query parameter.

It tracks the state of funds processed through the system, including amounts that are:

Operations

get

/balances

get

/balances/{balance_id}

get

/balances/{balance_id}/balance_entries

get

/balance_entries/{balance_entry_id}

+ Show

link to Balance Adjustments Balance Adjustments

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

A Balance Adjustment modifies the account Balance by adding funds (a 'top-up') or reducing funds for Payouts. Each adjustment is linked to a specific payment rail (e.g., ACH, card, wire).

Related Guides:

Operations

post

/balance_adjustments

get

/balance_adjustments

+ Show

link to Disbursement Rules Disbursement Rules

Copy

Copy page as Markdown for LLMs

Install MCP server on Cursor

Install MCP server on VS Code

For the Payouts product, when a payout is executed, such as a Push-To-Card or ACH transaction, Finix checks the transaction against velocity rules and balance rules.

Rules establish limits on transactions. For example, there may be a daily transaction limit of 100 transactions (count_limit) or a monthly volume limit of $100,000 (volume_limit). If a transaction exceeds any defined limit, the transaction is rejected.

Rules are set for entities involved in transactions, including the application, senders, and recipients.

The "Application" represents the customer to whom Finix is applying the rules. Application rules are set solely by Finix and are applied to every single transaction.

You can establish rules for "senders" and "recipients," referring to the parties involved in transactions:

Operations

get

/disbursement_rules

get

/disbursement_rules/current_usages

+ Show